Bug 111658 - switch syntax incorrect: "man page" says: --serverURL, "up2date --help" says --serverUrl
switch syntax incorrect: "man page" says: --serverURL, "up2date --help" says...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-07 22:51 EST by Mike
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 17:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike 2003-12-07 22:51:36 EST
From "man up2date":

--serverURL=<url>  Specify what server url to use.

and this chokes if you try to run it.

From the command line "up2date --help" it seems the syntax is slightly 
different: (note the case of the last 2 letters in the switch)

--serverUrl=<url>   Specify what server url to use

and this one appears to get accepted by the command line but when run
it doesn't appear  to have any effect as it still only goes and checks
at the sites specified in the /etc/sysconfig/rhn/sources file:

03:25:30 # up2date --nox 
--serverUrl=http://fedora.redhat.com/updates/testing/fedora-core-1 
--dry-run -u

==================
Fetching package list for channel: fedora-core-1...

Fetching 
http://fedora.redhat.com/releases/fedora-core-1/headers/header.info...
########################################

Fetching package list for channel: updates-released...

Fetching 
http://fedora.redhat.com/updates/released/fedora-core-1/headers/header.info...
########################################

Fetching Obsoletes list for channel: fedora-core-1...

Fetching Obsoletes list for channel: updates-released...
=======================

Regards,  Mike Klinke
Comment 1 Miloslav Trmac 2003-12-08 04:20:02 EST
Triage->Easyfix
Comment 2 Adrian Likins 2004-08-24 17:37:24 EDT
fixed in cvs

Note You need to log in before you can comment on or make changes to this bug.